classification
Title: readline: no display matches hook set
Type: Stage:
Components: Extension Modules, Library (Lib) Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder: py3k: readline and rlcompleter doesn't list choices
View: 1424
Assigned To: loewis Nosy List: christian.heimes, loewis
Priority: normal Keywords:

Created on 2007-11-11 22:36 by christian.heimes, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Messages (3)
msg57381 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-11 22:36
In Python 2.6 and 3.0 the readline module has changed. A new hook to set
a display matches was introduced but no default method is set thus
rendering  rlcompleter partly useless.
msg57382 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2007-11-11 22:39
http://bugs.python.org/issue1388440
http://bugs.python.org/issue1424
msg57391 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-11-12 04:54
Thanks for the report. This is now fixed in r58940.
History
Date User Action Args
2008-01-06 22:29:45adminsetkeywords: - py3k
versions: Python 2.6, Python 3.0
2007-11-12 04:54:00loewissetstatus: open -> closed
resolution: fixed
messages: + msg57391
2007-11-11 22:39:43christian.heimessetpriority: normal
assignee: loewis
superseder: py3k: readline and rlcompleter doesn't list choices
messages: + msg57382
nosy: + loewis
2007-11-11 22:36:43christian.heimescreate